package com.examples;

import java.io.Serializable;

import javax.persistence.*;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

@Entity
@Cache (usage=CacheConcurrencyStrategy.TRANSACTIONAL)

@NamedQueries({
  @NamedQuery(name = "TUsers.findAll", query = "select o from TUsers o"
	  ,hints={@QueryHint(name="org.hibernate.cacheable", value="true")}),
  @NamedQuery(name="TUsers.findByUserid" , query= "select o from TUsers o where "+
                                                  " o.userid= :theid" 
		  ,hints={@QueryHint(name="org.hibernate.cacheable", value="true")})
})
@Table(name = "t_users")
public class TUsers implements Serializable {

    /**
	 * 
	 */
	private static final long serialVersionUID = -5575593832336403993L;
	@Column(length = 200)
    private String address;
    @Column(length = 20)
    private String country;
    @Column(length = 20)
    private String email;
    @Column(length = 20)
    private String mobilenr;
    @Column(length = 20)
    private String phonenr;
    @Column(length = 50)
    private String userdesc;
    @Id
    @Column(nullable = false, length = 16)
    private String userid;
    @Column(nullable = false, length = 20)
    private String usrpass;
    

    public TUsers() {
    	super();
    }

    public TUsers(String address, String country, String email,
                  String mobilenr, String phonenr, String userdesc,
                  String userid,  String usrpass) {
        this.address = address;
        this.country = country;
        this.email = email;
        this.mobilenr = mobilenr;
        this.phonenr = phonenr;
        this.userdesc = userdesc;
        this.userid = userid;
        this.usrpass = usrpass;
    }

    @Override
	public String toString() {
		return "TUsers [address=" + address + ", country=" + country
				+ ", email=" + email + ", mobilenr=" + mobilenr + ", phonenr="
				+ phonenr + ", userdesc=" + userdesc + ", userid=" + userid
				+ ", usrpass=" + usrpass + "]";
	}

	public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getMobilenr() {
        return mobilenr;
    }

    public void setMobilenr(String mobilenr) {
        this.mobilenr = mobilenr;
    }

    public String getPhonenr() {
        return phonenr;
    }

    public void setPhonenr(String phonenr) {
        this.phonenr = phonenr;
    }

    public String getUserdesc() {
        return userdesc;
    }

    public void setUserdesc(String userdesc) {
        this.userdesc = userdesc;
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid;
    }


    public String getUsrpass() {
        return usrpass;
    }

    public void setUsrpass(String usrpass) {
        this.usrpass = usrpass;
    }

}
