package com.examples;

import java.util.List;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.persistence.Query;

@Stateless(name = "TUsersFacade", mappedName = "Infinispan-TUsersFacade")
public class TUsersFacadeBean implements TUsersFacade,TUsersFacadeLocal  {
	
	/**
	 * persistence context
	 */
    @PersistenceContext(unitName="PUMasterDS")
    private EntityManager em;

    /**
     * constructor
     */
    public TUsersFacadeBean() {
    	super();
    }

    
    public TUsersFacadeBean(EntityManager em) {
		super();
		this.em = em;
	}


    
    /**
     * persist users on db
     */
    public TUsers persistTUsers(TUsers TUsers) {
 
        em.persist(TUsers);
        return TUsers;
    }

    /**
     * merge/update
     */
    public TUsers mergeTUsers(TUsers TUsers) {
        return em.merge(TUsers);
    }

    /**
     * remove tusers
     */
    public void removeTUsers(TUsers TUsers) {
        TUsers = em.find(TUsers.class, TUsers.getUserid());
        em.remove(TUsers);
    }

    /** <code>select o from TUsers o</code> */
    public List<TUsers> getTUsersFindAll(int firstResult,int maxResults) {
    	
    	Query query = em.createNamedQuery("TUsers.findAll"); 

    	if (firstResult > 0) {
				query = query.setFirstResult(firstResult);
		}
		if (maxResults > 0) {
			query = query.setMaxResults(maxResults);
		}
		return query.getResultList();    	
    }


	public TUsers getTUsersFindUid(String uid) {
		Query query = em.createNamedQuery("TUsers.findByUserid").setParameter("theid", uid);
   		List<TUsers> list = query.getResultList();
   		if( list == null | list.size() < 1 )
   			return null;
   		return list.get(0);
	}
}
